/*
    /opt/swftools-2009-02-16-1757/bin/pdf2swf --flashversion=9 --stop source.pdf -o dest.swf
*/

package
{
    import flash.display.MovieClip;
    import flash.display.Sprite;
    import flash.events.Event;
    import flash.events.MouseEvent;
    import flash.text.TextField;

    import flash.display.Loader;
    import flash.net.URLRequest;

    public class Main extends MovieClip
    {
        private var backBtn:Sprite;
        private var fwdBtn:Sprite;
        private var viewport:MovieClip;

        public function Main()
        {
            backBtn = new Sprite();
            backBtn.graphics.beginFill( 0x00ff00, 1 );
            backBtn.graphics.drawRect( 0, 0, 100, 100 );
            backBtn.buttonMode = true;
            backBtn.addEventListener( MouseEvent.CLICK, backOne );

            var backField:TextField = new TextField();
            backField.x = 50;
            backField.y = 50;
            backField.text = "Prev";
            backBtn.addChild( backField );
            addChild( backBtn );


            fwdBtn = new Sprite();
            fwdBtn.x = 100;
            fwdBtn.graphics.beginFill( 0xff0000, 1 );
            fwdBtn.graphics.drawRect( 0, 0, 100, 100 );
            fwdBtn.buttonMode = true;
            fwdBtn.addEventListener( MouseEvent.CLICK, fwdOne );

            var fwdField:TextField = new TextField();
            fwdField.x = 50;
            fwdField.y = 50;
            fwdField.text = "Next";
            fwdBtn.addChild( fwdField );
            addChild( fwdBtn );

            var request:URLRequest = new URLRequest("http://127.0.0.1/doc.swf");
            var loader:Loader = new Loader();
            loader.contentLoaderInfo.addEventListener( Event.INIT, loaded );
            loader.load( request );
        }

        public function loaded(event:Event):void
        {
            viewport = MovieClip( event.target.content );
            trace( "Frames: " + viewport.totalFrames );
            viewport.x = 0;
            viewport.y = 100;
            addChild( viewport );
        }

        public function backOne( event:MouseEvent ):void
        {
            trace( "back: " + event.target );
            viewport.prevFrame();
            this.SyncDoc();
        }

        private function SyncDoc():void
        {
            var request:URLRequest = new URLRequest("http://127.0.0.1/setpage.php?frame="+viewport.currentFrame );
            var loader:Loader = new Loader();
            loader.load( request );
        }

        public function fwdOne( event:MouseEvent ):void
        {
            trace( "fwd: " + event.target );
            viewport.nextFrame();
            this.SyncDoc();
        }
    }
}

