package
{
    import flash.display.MovieClip;
    import flash.display.Sprite;
    import flash.events.Event;
    import flash.events.MouseEvent;
    import flash.text.TextField;

    import flash.display.Loader;
    import flash.net.*;
    import flash.utils.Timer;
    import flash.events.TimerEvent;

    public class Main extends MovieClip
    {
        private var backBtn:Sprite;
        private var fwdBtn:Sprite;
        private var viewport:MovieClip;
        private var debug:TextField;

        public function Main()
        {
            var myTimer:Timer = new Timer(1500);
            myTimer.addEventListener(TimerEvent.TIMER, timerHandler);

            var request:URLRequest = new URLRequest("http://127.0.0.1/doc.swf");
            var loader:Loader = new Loader();
            loader.contentLoaderInfo.addEventListener( Event.COMPLETE, loaded );
            loader.load( request );

            debug = new TextField();
            debug.x = 0;
            debug.y = 0;
            debug.width = 400;
            debug.text = "Main";
            addChild(debug);

            myTimer.start();
        }

        private function timerHandler(e:TimerEvent):void{
            debug.text = "timerHandler";
            getPage();
        }

        private function loaded(event:Event):void
        {
            debug.text = "loaded";
            getPage();
            viewport = MovieClip(event.target.content);
            trace( "Frames: " + viewport.totalFrames );
            viewport.x = 0;
            viewport.y = 100;
        }

        private function getPage():void
        {
            var request:URLRequest = new URLRequest("getpage.php");
            var variables:URLLoader = new URLLoader();
            //var variables:Loader = new Loader();
            //variables.dataFormat = URLLoaderDataFormat.VARIABLES;
            variables.dataFormat = URLLoaderDataFormat.TEXT;
            variables.addEventListener(Event.COMPLETE, completeHandler);
            variables.load(request);
            debug.text = "getPage";
        }

        private function completeHandler(event:Event):void
        {
            debug.text = "completeHandeler" + event.target.data;
            viewport.gotoAndStop(event.target.data);
            addChild( viewport );
        }

    }
}

